"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@material-ui/core");
const React = require("react");
const react_redux_1 = require("react-redux");
const LayoutAppBar_1 = require("./LayoutAppBar");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
const mapStateToProps = (state, ownProps) => {
    return {
        loadingDocument: state.sensenetDocumentViewer.localization.loadingDocument,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
const mapDispatchToProps = {};
class DocumentViewerLoadingComponent extends React.Component {
    /**
     * renders the component
     */
    render() {
        return (React.createElement("div", { style: {
                display: 'flex',
                justifyContent: 'space-around',
                alignContent: 'center',
                alignItems: 'center',
                height: '100%',
            } },
            React.createElement(LayoutAppBar_1.LayoutAppBar, { style: { position: 'fixed', top: 0 } },
                React.createElement("span", null)),
            React.createElement("div", { style: {
                    display: 'flex',
                    justifyContent: 'space-between',
                    alignItems: 'center',
                    flexDirection: 'column',
                    maxWidth: 500,
                    margin: '.5em 0 .6em 0',
                } },
                React.createElement("svg", { width: "442px", height: "333px", viewBox: "0 0 442 333", version: "1.1" },
                    React.createElement("g", { id: "Page-1", stroke: "none", strokeWidth: "1", fill: "none", fillRule: "evenodd" },
                        React.createElement("g", { id: "New-Image-Generation", transform: "translate(-9.000000, 5.000000)" },
                            React.createElement("g", { id: "Document", transform: "translate(9.000000, 0.000000)" },
                                React.createElement("ellipse", { id: "Oval-2", fill: "#DFDFDF", cx: "221", cy: "230", rx: "221", ry: "27" }),
                                React.createElement("path", { d: "M129.868875,229.165007 L129.868875,6.81087018 C129.868875,3.49716168 132.555166,0.810870179 135.868875,0.810870179 L262.245476,0.810870179 C263.836775,0.810870179 265.362898,1.44301122 266.488117,2.56822949 L311.211391,47.2915035 C312.336609,48.4167218 312.96875,49.9428453 312.96875,51.5341442 L312.96875,229.724935 C312.96875,233.038644 310.282458,235.724935 306.96875,235.724935 C306.962205,235.724935 306.95566,235.724924 306.949115,235.724903 L135.84924,235.164975 C132.543214,235.154156 129.868875,232.47105 129.868875,229.165007 Z", id: "Path", stroke: "#A4A8AD", strokeWidth: "11", fill: "#EEEEEE" }),
                                React.createElement("path", { d: "M262.50809,3.20349862 L262.50809,46.2114256 C262.50809,47.3159951 263.40352,48.2114256 264.50809,48.2114256 L308.124241,48.2114256", id: "Path-2", stroke: "#A4A8AD", strokeWidth: "11" }),
                                React.createElement("rect", { id: "Rectangle", fill: "#A4A8AD", x: "156", y: "90", width: "129", height: "13" }),
                                React.createElement("rect", { id: "Rectangle-Copy", fill: "#A4A8AD", x: "156", y: "133", width: "129", height: "13" }),
                                React.createElement("rect", { id: "Rectangle-Copy-2", fill: "#A4A8AD", x: "156", y: "176", width: "95", height: "13" }))))),
                React.createElement(core_1.Typography, { variant: "headline", color: "textSecondary", align: "center", style: { fontWeight: 'bolder' } }, this.props.loadingDocument))));
    }
}
const connectedComponent = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(DocumentViewerLoadingComponent);
exports.DocumentViewerLoading = connectedComponent;
//# sourceMappingURL=DocumentViewerLoading.js.map