/// <reference types="react-redux" />
import React = require('react');
import { DocumentData, DocumentViewerSettings, PreviewImageData } from '../models';
import { RootReducerType, ZoomMode } from '../store';
import { Action, ActionCreator } from 'redux';
import { ThunkAction } from 'redux-thunk';
/**
 * Defined the component's own properties
 */
export interface OwnProps {
    showWidgets: boolean;
    imageIndex: number;
    viewportHeight: number;
    viewportWidth: number;
    elementNamePrefix: string;
    zoomMode: ZoomMode;
    zoomLevel: number;
    onClick: (ev: React.MouseEvent<HTMLElement>) => any;
    margin: number;
    image: 'preview' | 'thumbnail';
}
/**
 * State model for the Page component
 */
export interface PageState {
    imgSrc: string;
    pageWidth: number;
    pageHeight: number;
    isActive: boolean;
    imageWidth: string;
    imageHeight: string;
    imageTransform: string;
    zoomRatio: number;
    isPolling: boolean;
}
declare const connectedComponent: React.ComponentClass<Pick<{
    documentData: DocumentData;
    version: string | undefined;
    page: PreviewImageData;
    activePages: number[];
    showWatermark: boolean;
    pollInterval: number;
} & {
    previewAvailable: ActionCreator<ThunkAction<Promise<void>, RootReducerType, DocumentViewerSettings, Action<any>>>;
} & OwnProps, "margin" | "onClick" | "zoomMode" | "viewportWidth" | "viewportHeight" | "elementNamePrefix" | "zoomLevel" | "showWidgets" | "imageIndex" | "image"> & {
    imageIndex: number;
}> & {
    WrappedComponent: React.ComponentType<{
        documentData: DocumentData;
        version: string | undefined;
        page: PreviewImageData;
        activePages: number[];
        showWatermark: boolean;
        pollInterval: number;
    } & {
        previewAvailable: ActionCreator<ThunkAction<Promise<void>, RootReducerType, DocumentViewerSettings, Action<any>>>;
    } & OwnProps>;
};
export { connectedComponent as Page };
