/// <reference types="react-redux" />
import * as React from 'react';
import { componentType } from '../../services';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    documentName: string;
    activePages: number[];
    pageCount: number;
    gotoPage: string;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {
    setActivePages: (activePages: number[]) => {
        type: string;
        /**
         * Defines the own props for the PagerState component
         */
        activePages: number[];
    };
};
/**
 * Defines the own props for the PagerState component
 */
export interface PagerState {
    currentPage: number;
    lastPage: number;
    focused: boolean;
}
/**
 * Document widget component for paging
 */
export declare class DocumentTitlePagerComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps>, PagerState> {
    /** the component state */
    state: {
        currentPage: number;
        lastPage: number;
        focused: boolean;
    };
    private setPage;
    /** triggered when the component will receive props */
    static getDerivedStateFromProps(nextProps: DocumentTitlePagerComponent['props'], lastState: DocumentTitlePagerComponent['state']): DocumentTitlePagerComponent['state'];
    /**
     * sets the page to the specified value
     * @param page
     */
    gotoPage(page: string | number): void;
    private handleFocused;
    private handleBlur;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: React.ComponentClass<Pick<{
    documentName: string;
    activePages: number[];
    pageCount: number;
    gotoPage: string;
} & {
    setActivePages: (activePages: number[]) => {
        type: string;
        /**
         * Defines the own props for the PagerState component
         */
        activePages: number[];
    };
} & undefined, never>> & {
    WrappedComponent: React.ComponentType<{
        documentName: string;
        activePages: number[];
        pageCount: number;
        gotoPage: string;
    } & {
        setActivePages: (activePages: number[]) => {
            type: string;
            /**
             * Defines the own props for the PagerState component
             */
            activePages: number[];
        };
    } & undefined>;
};
export { connectedComponent as DocumentTitlePager };
