"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@material-ui/core");
const icons_1 = require("@material-ui/icons");
const React = require("react");
const react_redux_1 = require("react-redux");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        title: state.sensenetDocumentViewer.localization.print,
        document: state.sensenetDocumentViewer.documentState.document,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {};
/**
 * Component that allows active page rotation
 */
class PrintComponent extends React.Component {
    /**
     * renders the component
     */
    render() {
        return (React.createElement("div", { style: { display: 'inline-block' } },
            React.createElement(core_1.IconButton, { color: "inherit", title: this.props.title },
                React.createElement(icons_1.Print, { onClick: () => this.props.print(this.props.document) }))));
    }
}
exports.PrintComponent = PrintComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(PrintComponent);
exports.Print = connectedComponent;
//# sourceMappingURL=PrintWidget.js.map