/// <reference types="react-redux" />
import * as React from 'react';
import { PreviewImageData } from '../../models';
import { componentType } from '../../services';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    pages: PreviewImageData[];
    activePages: number[];
    rotateDocumentLeft: string;
    rotateDocumentRight: string;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {
    rotateImages: (imageIndexes: number[], amount: number) => {
        type: string;
        imageIndexes: number[];
        amount: number;
    };
};
/**
 * Component that allows active page rotation
 */
export declare class RotateActivePagesComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps>> {
    private rotateDocumentLeft;
    private rotateDocumentRight;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: React.ComponentClass<Pick<{
    pages: PreviewImageData[];
    activePages: number[];
    rotateDocumentLeft: string;
    rotateDocumentRight: string;
} & {
    rotateImages: (imageIndexes: number[], amount: number) => {
        type: string;
        imageIndexes: number[];
        amount: number;
    };
} & undefined, never>> & {
    WrappedComponent: React.ComponentType<{
        pages: PreviewImageData[];
        activePages: number[];
        rotateDocumentLeft: string;
        rotateDocumentRight: string;
    } & {
        rotateImages: (imageIndexes: number[], amount: number) => {
            type: string;
            imageIndexes: number[];
            amount: number;
        };
    } & undefined>;
};
export { connectedComponent as RotateActivePages };
