/// <reference types="react-redux" />
import * as React from 'react';
import { DocumentData, PreviewImageData } from '../../models';
import { componentType } from '../../services';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    saveChanges: string;
    document: DocumentData;
    pages: PreviewImageData[];
    activePages: number[];
    canEdit: boolean;
    hasChanges: boolean;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {
    save: (document: DocumentData, pages: PreviewImageData[]) => void;
};
/**
 * Document widget component for saving document state
 */
export declare class SaveDocumentComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps>> {
    private save;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: React.ComponentClass<Pick<{
    saveChanges: string;
    document: DocumentData;
    pages: PreviewImageData[];
    activePages: number[];
    canEdit: boolean;
    hasChanges: boolean;
} & {
    save: (document: DocumentData, pages: PreviewImageData[]) => void;
} & undefined, never>> & {
    WrappedComponent: React.ComponentType<{
        saveChanges: string;
        document: DocumentData;
        pages: PreviewImageData[];
        activePages: number[];
        canEdit: boolean;
        hasChanges: boolean;
    } & {
        save: (document: DocumentData, pages: PreviewImageData[]) => void;
    } & undefined>;
};
export { connectedComponent as SaveWidget };
