/// <reference types="react-redux" />
import * as React from 'react';
import { componentType } from '../../services';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    placeholder: string;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {};
/**
 * Defines the own props for the PagerState component
 */
export interface SearchBarState {
    searchValue: string;
}
/**
 * Document widget component for paging
 */
export declare class SearchBarComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps>, SearchBarState> {
    /** the component state */
    state: {
        searchValue: string;
    };
    /**
     * sets the page to the specified value
     * @param page
     */
    evaluateSearch(): void;
    private updateValue;
    private handleKeyPress;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: React.ComponentClass<Pick<{
    placeholder: string;
} & undefined, never>> & {
    WrappedComponent: React.ComponentType<{
        placeholder: string;
    } & undefined>;
};
export { connectedComponent as SearchBar };
