/// <reference types="react-redux" />
import * as React from 'react';
import { componentType } from '../../services';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    toggleThumbnailsTitle: string;
    showThumbnails: boolean;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {
    setThumbnails: (showThumbnails: boolean) => {
        type: string;
        showThumbnails: boolean;
    };
};
/**
 * Document widget component that toggles the displaying of the watermark
 */
export declare class ToggleThumbnailsComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps>> {
    private toggleThumbnails;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: React.ComponentClass<Pick<{
    toggleThumbnailsTitle: string;
    showThumbnails: boolean;
} & {
    setThumbnails: (showThumbnails: boolean) => {
        type: string;
        showThumbnails: boolean;
    };
} & undefined, never>> & {
    WrappedComponent: React.ComponentType<{
        toggleThumbnailsTitle: string;
        showThumbnails: boolean;
    } & {
        setThumbnails: (showThumbnails: boolean) => {
            type: string;
            showThumbnails: boolean;
        };
    } & undefined>;
};
export { connectedComponent as ToggleThumbnailsWidget };
