"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@material-ui/core");
const icons_1 = require("@material-ui/icons");
const React = require("react");
const react_redux_1 = require("react-redux");
const store_1 = require("../../store");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        customZoomLevel: state.sensenetDocumentViewer.viewer.customZoomLevel,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {
    setZoomLevel: store_1.setCustomZoomLevel,
};
/**
 * Document widget component for modifying the zoom mode / level
 */
class ZoomInOutWidgetComponent extends React.Component {
    zoomIn(ev) {
        this.props.setZoomLevel(this.props.customZoomLevel + 1);
    }
    zoomOut(ev) {
        this.props.setZoomLevel(this.props.customZoomLevel - 1);
    }
    /**
     * renders the component
     */
    render() {
        return (React.createElement("div", { style: { display: 'inline-block' } },
            React.createElement(core_1.IconButton, { color: "inherit", onClick: (ev) => this.zoomIn(ev) },
                React.createElement(icons_1.ZoomIn, null)),
            React.createElement(core_1.IconButton, { color: "inherit", onClick: (ev) => this.zoomOut(ev) },
                React.createElement(icons_1.ZoomOut, null))));
    }
}
exports.ZoomInOutWidgetComponent = ZoomInOutWidgetComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(ZoomInOutWidgetComponent);
exports.ZoomInOutWidget = connectedComponent;
//# sourceMappingURL=ZoomInOut.js.map